%global _hardened_build 1

Name:           glite-px-proxyrenewal
Version:        1.3.35
Release:        5%{?dist}
Summary:        gLite proxyrenewal renews existing proxy certificates for grid users

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.px.proxyrenewal/%{name}-%{version}.tar.gz
# https://github.com/CESNET/glite-lb/commit/13d7d640eb940ebb7e5354f1a45b57dfbd01fed8#diff-16
Patch0:         rhel7-configure.patch
# https://github.com/CESNET/proxyrenewal/commit/cc61becfd3db7a792e7800c4cc7741542dc56df0
Patch1:         rhel7-proxyrenewal.patch

BuildRequires:  globus-gssapi-gsi-devel
BuildRequires:  libtool
BuildRequires:  myproxy-devel
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
BuildRequires:  systemd
BuildRequires:  voms-devel
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Provides:       glite-px-proxyrenewal-progs = %{version}-%{release}

%description
The daemon is responsible for secure and controlled way of periodical renewal
of user proxy certificates. Its primary goal is to support long-time jobs
running on the grid.


%package        libs
Summary:        C/C++ library for gLite proxyrenewal

%description    libs
This package contains C/C++ library for gLite proxyrenewal.


%package        devel
Summary:        Development files for gLite proxyrenewal library
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite
proxyrenewal library.


%prep
%setup -q
%patch0 -p2
%patch1 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --sysdefaultdir=%{_sysconfdir}/sysconfig --module=px.proxyrenewal
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# documentation installed by %%doc
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}
rm -f %{buildroot}%{_libdir}/lib*.a
rm -f %{buildroot}%{_libdir}/lib*.la
mkdir -p %{buildroot}%{_localstatedir}/lib/glite
mkdir -p %{buildroot}%{_localstatedir}/spool/glite-renewd


%pre
getent group glite >/dev/null || groupadd -r glite
getent passwd glite >/dev/null || useradd -r -g glite -d %{_localstatedir}/lib/glite -c "gLite user" glite
exit 0


%post
%systemd_post glite-proxy-renewald.service


%preun
%systemd_preun glite-proxy-renewd.service


%postun
%systemd_postun_with_restart glite-proxy-renewd.service


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
%dir %attr(0755, glite, glite) %{_localstatedir}/lib/glite
%dir %attr(0700, glite, glite) %{_localstatedir}/spool/glite-renewd
%doc LICENSE project/ChangeLog README config/glite-px
%config(noreplace missingok) %{_sysconfdir}/sysconfig/glite-px
%{_unitdir}/glite-proxy-renewd.service
%{_bindir}/glite-proxy-renew
%{_sbindir}/glite-proxy-renewd
%{_sbindir}/glite-proxy-setup
%{_mandir}/man1/glite-proxy-renew.1*
%{_mandir}/man8/glite-proxy-renewd.8*

%files libs
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_security_proxyrenewal.so.1
%{_libdir}/libglite_security_proxyrenewal.so.1.*
%{_libdir}/libglite_security_proxyrenewal_core.so.1
%{_libdir}/libglite_security_proxyrenewal_core.so.1.*

%files devel
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/security/
%dir %{_includedir}/glite/security/proxyrenewal/
%{_includedir}/glite/security/proxyrenewal/*.h
%{_libdir}/libglite_security_proxyrenewal.so
%{_libdir}/libglite_security_proxyrenewal_core.so


%changelog
* Sun Sep 21 2014 František Dvořák <valtri@civ.zcu.cz> - 1.3.35-5
- Rebuilt for myproxy 6.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.35-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 28 2014 František Dvořák <valtri@civ.zcu.cz> - 1.3.35-3
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 06 2014 František Dvořák <valtri@civ.zcu.cz> - 1.3.35-1
- Release glite-px-proxyrenewal 1.3.35
- Enable hardened build
- Update patches, add EPEL 7 support
- Simplify scriptlets

* Wed Aug 28 2013 František Dvořák <valtri@civ.zcu.cz> - 1.3.34-1
- Initial package
